Bug 1115214 - [GSS] (6.4.0) CXF-5679, CXF-5724 - WS-S after upgrade fails with org.apache.ws.security.WSSecurityException: The signature or decryption was invalid
Summary: [GSS] (6.4.0) CXF-5679, CXF-5724 - WS-S after upgrade fails with org.apache.w...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR6
: EAP 6.4.0
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Depends On:
Blocks: 1115213 1115215 1143935
TreeView+ depends on / blocked
 
Reported: 2014-07-01 22:51 UTC by Brad Maxwell
Modified: 2019-08-02 07:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previous versions of JBoss EAP 6 carried a regression that was introduced in Apache CXF 2.7.10 which failed with the error: ---- org.apache.ws.security.WSSecurityException: The signature or decryption was invalid ---- This issue has been resolved and signature verification of WS-Security SOAP messages is correctly performed.
Clone Of:
: 1115215 (view as bug list)
Environment:
Last Closed: 2019-08-02 07:27:20 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA CXF-5679 None None None Never
Apache JIRA CXF-5724 None None None Never

Description Brad Maxwell 2014-07-01 22:51:12 UTC
WS-S after upgrade fails with org.apache.ws.security.WSSecurityException: The signature or decryption was invalid
https://issues.apache.org/jira/browse/CXF-5679

Extra text and comments after </soapenv:Body> are treated as part of SOAP body by CXF
https://issues.apache.org/jira/browse/CXF-5724

Comment 5 Jan Blizňák 2014-11-04 17:32:28 UTC
Verified with 6.4.0.DR8


Note You need to log in before you can comment on or make changes to this bug.